abstract class for all requests types that operate on exactly one dynamo table. basically just sets the TableName info on input params.

### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | UpdateItemInput | QueryInput | ScanInput

- #### R: StandardRequest<T, I, any>

### Hierarchy

- BaseRequest<T, I, R>
  - StandardRequest
    - WriteRequest
    - GetRequest
    - ReadManyRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- returnConsumedCapacity

## Constructors

### Protected constructor

- new StandardRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>): StandardRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/standard.request.ts:24

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  #### Returns StandardRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:29

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:39

metadata created from modelClazz

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:34

corresponding Model Class

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:49

request input object

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:44

tableName created with configured tableNameResolver function

## Methods

### Abstract exec

- exec(): Promise<T | T[] | void | null>

- Inherited from BaseRequest.exec

  - Defined in dynamo/request/base.request.ts:88

  execute request and return the parsed item(s) or void if none were requested.

  #### Returns Promise<T | T[] | void | null>

### Abstract execFullResponse

- execFullResponse(): Promise<any>

- Inherited from BaseRequest.execFullResponse

  - Defined in dynamo/request/base.request.ts:83

  execute request and return the full response of dynamoDB. read items will be parsed to JS objects.

  #### Returns Promise<any>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): R

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:75

  return ConsumedCapacity of the corresponding table(s) in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

    not all requests support all values

  #### Returns R